/* BLOCK: Scrolljacking: Timeline */

.block-scrolljacking-timeline .scrolljacking-wrapper {
    display: flex;
    /* gap: 1.25rem; */
    align-items: flex-start;
}

.block-scrolljacking-timeline .scrolljacking-wrapper > * {
    flex-basis: 100%;
}

.block-scrolljacking-timeline .sticky-wrapper {
    position: sticky;
    top: 12.5rem;
    display: flex;
    justify-content: flex-end;
}

.block-scrolljacking-timeline .items-wrapper,
.block-scrolljacking-timeline .text-content.text-medium {
    display: flex;
    flex-direction: column;
    gap: 2.5rem;
}

.block-scrolljacking-timeline.items-larger-space .items-wrapper,
.block-scrolljacking-timeline.items-larger-space .text-content.text-medium {
    gap: 5rem;
}

.block-scrolljacking-timeline .content-wrapper {
    padding-left: 6.25rem;
    border-left: 1px solid rgb(from var(--c-bg-dark) r g b / 0.15);
    position: relative;
    padding-top: calc(25.3125rem - var(--pt, 0px));
    padding-bottom: 9.375rem;
}

.block-scrolljacking-timeline .content-wrapper::before {
    content: "";
    position: absolute;
    top: calc(-1*var(--pb));
    left: -1px;
    height: var(--pb);
    width: 1px;
    background: linear-gradient(
    to top,
    rgb(from var(--c-bg-dark) r g b / 0.15),
    transparent
    );
}

.block-scrolljacking-timeline .content-wrapper::after {
    content: "";
    position: absolute;
    bottom: calc(-1*var(--pb));
    left: -1px;
    height: var(--pb);
    width: 1px;
    background: linear-gradient(
    to bottom,
    rgb(from var(--c-bg-dark) r g b / 0.15),
    transparent
    );
}

.block-scrolljacking-timeline .content-wrapper > .text-content  {
    margin-bottom: 9.375rem;
}

.block-scrolljacking-timeline .sticky-wrapper {
    padding-right: 6.25rem;
}

.block-scrolljacking-timeline .sticky-wrapper img {
    aspect-ratio: 1 / 1;
    border-radius: 25px;
    object-fit: cover;
    max-width: 500px;
}
.block-scrolljacking-timeline .item h3,
.block-scrolljacking-timeline .item h4 {
    color: var(--c-bg-dark-tint-2);
}

.block-scrolljacking-timeline .item h3,
.block-scrolljacking-timeline .item h4,
.block-scrolljacking-timeline .item h5 {
    margin-bottom: 0;
}

.block-scrolljacking-timeline .item__indicator {
    position: relative;
    display: flex;
}

.block-scrolljacking-timeline .item {
    position:relative;
}

.block-scrolljacking-timeline .item .item__indicator {
    content: "";
    position: absolute;
    top: 1rem;
    left: -6.65rem;
    width: 11px;
    height: 11px;
    background-color: var(--c-bg-dark);
    border-radius: 100vw;
}

.block-scrolljacking-timeline[class*=theme--dark] .item__indicator {
    background-color: var(--theme-clr-fg);
}

/* .block-scrolljacking-timeline.items-numbers-shown .item__indicator::before {
    content: none;
} */

.block-scrolljacking-timeline.items-numbers-shown .item__indicator {
    background-color: var(--c-bg-dark);
    color: var(--c-bg-light);
    border-radius: 100vw;
    font-weight: 600;
    width: 2.5rem;
    height: 2.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: -0.4rem;
    left: -7.5rem;
}

.block-scrolljacking-timeline.items-numbers-shown .items-wrapper {
    gap: 9.375rem;
}

.block-scrolljacking-timeline.items-numbers-shown .text-content.text-medium {
    gap: 2.5rem;
}

.block-scrolljacking-timeline.items-numbers-shown .item {
    position: relative;
}


@media screen and (width <= 920px) {
    .block-scrolljacking-timeline .sticky-wrapper {
        flex-basis: 75%;
    }

    .block-scrolljacking-timeline .sticky-wrapper {
        display: none;
    }

    .block-scrolljacking-timeline .content-wrapper {
        margin-left: 5rem;
        padding-bottom: 0;
    }

    .block-scrolljacking-timeline .content-wrapper > .text-content {
        margin-bottom: 4.688rem;
    }

    .block-scrolljacking-timeline .items-wrapper, .block-scrolljacking-timeline .text-content.text-medium {
        gap: 2.5rem;
    }

    .block-scrolljacking-timeline .content-wrapper::before {
        top: calc(-1*var(--pb));
        height: var(--pb);
    }

    .block-scrolljacking-timeline .content-wrapper::after {
        bottom: calc(-1*var(--pb));
        height: var(--pb);
    }

    .block-scrolljacking-timeline .item__indicator::before {
        top: 0.5rem;
    }

    .block-scrolljacking-timeline.items-numbers-shown .items-wrapper {
        gap: 4.688rem;
    }

    .block-scrolljacking-timeline.items-numbers-shown .text-content.text-medium {
        gap: 1.563rem;
    }

    .block-scrolljacking-timeline.items-numbers-shown .item img {
        margin-top: 2.5rem;
        border-radius: 18px;
        aspect-ratio: 2 / 1;
        object-fit: cover;
    }
}

@media screen and (width <= 920px) {
    .block-scrolljacking-timeline .item .item__indicator {
        top: 0.5rem;
    }

    .block-scrolljacking-timeline.items-numbers-shown .item__indicator {
        top: -0.5rem;
    }
}

@media screen and (width <= 620px) {
    .block-scrolljacking-timeline .scrolljacking-wrapper {
        display: block;
    }

    .block-scrolljacking-timeline .sticky-wrapper {
        position: static;
        margin-bottom: 4.6875rem;
    }

    .block-scrolljacking-timeline .content-wrapper {
        margin-left: 1.75rem;
        margin-right: 1.75rem;
        padding-left: 3.125rem;
        padding-top: 0;
    }

    .block-scrolljacking-timeline.items-image-mobile .content-wrapper {
        margin-inline: 0;
        padding-left: 2rem;
    }

    .block-scrolljacking-timeline .item .item__indicator {
        left: -3.48rem;
        top: 0.3rem;
    }

    .block-scrolljacking-timeline.items-image-mobile .item .item__indicator {
        left: -2.36rem;
    }

    .block-scrolljacking-timeline.items-image-mobile.items-numbers-shown .item .item__indicator {
        left: -2.8rem;
    }

    .block-scrolljacking-timeline.items-image-mobile .item img {
        margin-top: 2.5rem;
        border-radius: 1.125rem;
        aspect-ratio: 2.027;
        width: 100%;
    }

    .block-scrolljacking-timeline.items-larger-space .items-wrapper, .block-scrolljacking-timeline.items-larger-space .text-content.text-medium {
        gap: 2.5rem;
    }

    .block-scrolljacking-timeline.items-numbers-shown .item__indicator {
        width: 1.625rem;
        height: 1.625rem;
    }

    .block-scrolljacking-timeline.items-numbers-shown .item__indicator {
        left: -3.9rem;
        top: -0.2rem;
    }

}